! test CASE
! R808 - R815



PROGRAM E6

INTEGER (kind=4) var1,var2
INTEGER          var3
REAL             var4



a: SELECT CASE (var1+var2)
   CASE (5_4,6_4)
	   	var1=var1+1
!error   case value have not same kind as expression
   CASE (7)         
		var2=var2+1
   END SELECT a

b: SELECT CASE (var1>0)
!error   range of logical type is not allowed
   CASE (FALSE:TRUE) 
		var1=var2
   CASE DEFAULT
!error  duplicate default
   CASE DEFAULT
   END SELECT b

c: SELECT CASE (var3)
   CASE (:3,5:8)
		var1=var2
! error  case range value overlaped
   CASE (7:)
   CASE (2:6)
   END SELECT c

d: SELECT CASE (var4)
   CASE (12.0)
   END SELECT d

END

